@import "../../styles/_keyframes.scss";
@import "../../styles/_typefaces.scss";
@import "../../styles/_variables.scss";

// Chronicle.
.chronicle {
	// Present.
	> .present {
		margin: 0 0 1rem;
	}

	// Present and Past.
	> .present, > .past {

		// Section headers.
		> .present_header, > .past_header {
			margin-bottom: 0.4rem;
			display: flex;
			justify-content: space-between;

			// Prevent height collapse.
			* {
				min-height: 1em;
			}

			// Date + day.
			> .date_day {
				display: flex;
				align-items: baseline;

				animation: fade_in 1s ease-out;

				// Date.
				> .date {
					transition: color 1s ease;
				}

				// Day.
				> .day {
					margin-left: 0.8rem;

					transition: color 1s ease;
				}
			}

			// Select.
			> select {
				transition: color 1s ease, background-color 1s ease;
			}
		}
	}
}